# The faults defined in this file are deprecated.
# These faults have been split and added to
# decision_faults.yaml and road_graph_solver_faults.yaml
component: Mission
metric: zoox::diag::EmptyMetric
namespace: zoox::planner::faults
faults:
  - id: 1
    name: HeroStateUnavailable
    severity: ERROR
    description: Hero State is not available
    deprecated: true
  - id: 2
    name: BadInput
    severity: ERROR
    description: Input message has bad data
    deprecated: true
  - id: 3
    name: FailedToPlanRoute
    severity: ERROR
    description: Unable to plan a route for the given mission
    deprecated: true
  - id: 4
    name: FailedToSetMission
    severity: ERROR
    description: Unable to set a new mission
    deprecated: true
  - id: 5
    name: FailedToCompleteDispatch
    severity: ERROR
    description: Unable to complete the current dispatch order
    deprecated: true
